# class Gem::RequestSet::Lockfile::ParseError

Raised when a lockfile cannot be parsed

### Attributes

column [R]

The column where the error was encountered

line [R]

The line where the error was encountered

path [R]

The location of the lock file

### Public Class Methods

new (message, column, line, path)
Source

    # File lib/rubygems/request_set/lockfile.rb, line 32
    def initialize(message, column, line, path)
      @line   = line
      @column = column
      @path   = path
      super "#{message} (at line #{line} column #{column})"
    end

Raises a `ParseError` with the given `message` which was encountered at a `line` and `column` while parsing.

Calls superclass method `Exception::new`